How to solve: Flutter could not download kotlin-compiler-embeddedable-1.5.21.jar (org.jetbrains.kotlin:kotlin-compiler-embeddable-1.5.21.jar

Question

Asked by user467566 on January 08, 2022 (source).

I'm creating an Flutter application.

Now I want to add Flutter OSM to project for working with maps. But after adding flutter_osm_plugin to pubspec.yaml I'm getting an error:

[!] Gradle threw an error while downloading artifacts from the network. Retrying to download...

FAILURE: Build failed with an exception.

* What went wrong:
A problem occurred configuring project ':flutter_osm_plugin'.
> Could not resolve all artifacts for configuration ':flutter_osm_plugin:classpath'.
   > Could not download kotlin-compiler-embeddable-1.5.21.jar (org.jetbrains.kotlin:kotlin-compiler-embeddable:1.5.21)
      > Could not get resource 'https://repo.maven.apache.org/maven2/org/jetbrains/kotlin/kotlin-compiler-embeddable/1.5.21/kotlin-compiler-embeddable-1.5.21.jar'.
         > Could not GET 'https://repo.maven.apache.org/maven2/org/jetbrains/kotlin/kotlin-compiler-embeddable/1.5.21/kotlin-compiler-embeddable-1.5.21.jar'.
            > Connect to fodev.org:8118 [fodev.org/45.129.39.130] failed: Connection refused: connect
> Failed to notify project evaluation listener.
   > Could not find method implementation() for arguments [project ':flutter_plugin_android_lifecycle'] on object of type org.gradle.api.internal.artifacts.dsl.dependencies.DefaultDependencyHandler.
   > Could not find method implementation() for arguments [project ':location'] on object of type org.gradle.api.internal.artifacts.dsl.dependencies.DefaultDependencyHandler.

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

BUILD FAILED in 19s
Running Gradle task 'assembleDebug'...                             23,6s
[!] Gradle threw an error while downloading artifacts from the network. Retrying to download...
Exception: Gradle task assembleDebug failed with exit code 1

kotlin-compiler-embeddable-1.5.21.jar downloading from browser. But I can't install this from Android Studio. I haven't an Antivirus.

What's problem? Thanks a lot.

Answer

Question answered by user467566 (source).

Thanks a lot. I'v resolved the problem.

I changed a kotlin compiler version and choosed 'No Proxy' in HTTP Settings.

ANDROID ANDROID-STUDIO FLUTTER KOTLIN
SHARE: